# -*- coding: utf-8 -*-
# Copyright (c) 2008-2009 Infrae. All rights reserved.
# See also LICENSE.txt
# $Id: setup.py 32945 2009-01-12 16:26:02Z sylvain $

from setuptools import setup, find_packages
import os

version = '2.2a2'

setup(name='Products.Silva',
      version=version,
      description="Silva Content Management System",
      long_description=open(os.path.join("Products", "Silva", "README.txt")).read() + "\n" +
                       open(os.path.join("Products", "Silva", "HISTORY.txt")).read(),
      classifiers=[
        "Framework :: Zope2",
        "License :: OSI Approved :: BSD License",
        "Topic :: Internet :: WWW/HTTP :: Dynamic Content",
        "Programming Language :: Python",
        "Topic :: Software Development :: Libraries :: Python Modules",
        ],
      keywords='silva cms zope',
      author='Infrae',
      author_email='info@infrae.com',
      url='http://infrae.com/products/silva',
      license='BSD',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['Products'],
      include_package_data=True,
      zip_safe=False,
      tests_require=[
        'silva.export.opendocument',
        ],
      install_requires=[
        'PILwoTK',
        'Products.SilvaDocument',
        'Products.SilvaFind',
        'Products.SilvaLayout',
        'Products.SilvaKupu',
        'Products.SilvaMetadata',
        'Products.SilvaViews',
        'Products.Formulator',
        'Products.FileSystemSite',
        'Products.ProxyIndex',
        'Products.Annotations',
        'Products.Groups',
        'Products.ParsedXML',
        'Products.XMLWidgets',
        'Sprout',
        'five.grok',
        'five.intid >= 0.3.0',
        'five.localsitemanager',
        'lxml >= 2.1.1',
        'setuptools',
        'silva.core.conf',
        'silva.core.views',
        'silva.core.layout',
        'silva.core.smi',
        ],
      )
